#include <stdio.h>

#define MAXLINE 1000 /* maximum line length */

int getline(char line[], int maxline);
void copy(char to[], char from[]);

/* print the longest line */

int main()
{
  int len;  /* length of current line */
  int max;  /* maximum length so far */
  char line[MAXLINE]; /* current input line */
  char longest[MAXLINE]; /* stored maximum length line */
  
  max = 0;
  while((len = getline(line, MAXLINE)) > 0)
    if(len>max) {
      max = len;
      copy(longest, line);
    }
    
  if(max > 0) /* line found */
    printf("%s",longest);
  return 0;
}

/* getline: read input line into s, return its lenght */

int getline(char s[], int lim)
{
  int c,i;

  for(i=0; i < lim-1 && (c=getchar())!=EOF && c!='\n'; ++i)
    s[i]=c;
  if (c == '\n') {
    s[i] = c;
    ++i;
  }
  s[i] = '\0';
  return i;  
}

/* copy: copy from to to */
/* to must be large enough */
void copy(char to[], char from[])
{
  int i;
  
  i = 0;
  while((to[i] = from[i]) != '\0')
    ++i;
}
